---
title: Managing Iterations
---

Sometimes, an activity must be run in multiple _iterations_ with a small number of students in each group. MPyT deals with this by treating all activities as consisting of iterations. For large activities like lectures, we create a _single_ iteration of the activity.

![Iteration Planning Validation](../images/win_iters_validate.png)

### Student Groups

This area lets you calculate how many groups are required based on the student counts. The tool cannot currently warn about allocations based on individual courses - this will assume all students on the module are the same (therefore, be careful if you need to allocate iterations by course).

| Name       | Description                                      |
| ---------- | ------------------------------------------------ |
| Group Size | How many students should be allocated per group? |
| Iterations needed | Based on the above number and projected students attached to this module, how many iterations do we need? |
| Iterations planned | Number of iterations planned (on the next tab) |

### Staffing

| Name       | Description                                      |
| ---------- | ------------------------------------------------ |
| Staff per session | How many students should be allocated per iteration? |
| Required | Based on iterations, and number of staff needed how many 'slots' need planning for |
| Allocated | Number of staff currently attached |

This section works in the idea of 'staff slots' -- the number of iterations and staff required per iteration.

## Designing the iterations

Based on the 'planning' tab you should have a reasonably good idea of how many iterations will be required. For a large activity, like a lecture, you can largely ignore most of the first page and leave them as the defaults.

You can then decide who should be attached to the iterations and how many iterations to run on the second tab, 'iteration(s)':

![Iteration Planning](../images/win_iters.png)

You edit this page in much the same way as the activities page. Use the buttons at the bottom to add and remove iterations as required. On the bottom right, a total count of currently planned iterations is shown.

### Assigning Staff
Staff can be attached to an iteration by clicking on the _staff_ cell for that iteration. A window showing the available staff should pop up. If a staff member has multiple contracts, all the contracts available for scheduling will be listed seperately. Click on the tick box next to a staff member's name to assign them to this iteration. You can assign as many staff as required for a session as needed for this session.

You can check staff workloads using the [Reports]() feature.

### Assigning Rooms
Room allocation works the same way as allocating staff. Click on the room cell for the iteration you wish to plan for and select the room pools you wish to allocate. If multiple room pools are selected, the system will try to allocate both.

You can check room allocations using the [Reports]() feature.

### Remarks
Remarks can be used to communicate anything extra to the timetabling team. We use this for communicating things which the system cannot automatically process (for example, specialist requirements or courses when allocating iterations via course). Please talk to your timetabling contact about what works best in this field for them.

## Duplicating Iterations

Sometimes, it is useful to mass-create duplicate iterations (for example, for assessments). You can *right click* on a row to duplicate entries:

![Iteration context menu](../images/iter_dup.png)

The system will then prompt you for how many iterations to create, using the one you selected as a template:

![Iteration duplicate](../images/iter_dup_dialog.png)

(thank you to Faye and Brian for requesting this feature).

## Copying and Pasting iterations

Its sometimes necceary to duplicate iterations across activities (for example, group work that spans multiple modules). You can select iterations then right click to copy them to another activity. Open the iteration planner for that activity and paste them to duplicate the rooms, staff and iteration details to a target activity.
